emulationstation wont start after upgrade libgomp.so.1

Welcome Page Forums RetroPie Project Everything else related to the RetroPie Project emulationstation wont start after upgrade libgomp.so.1

This topic contains 2 replies, has 2 voices, and was last updated by  sselph 3 years ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #82324

    deaftolight
    Participant

    I can’t start emulationstation anymore. It gives me the error

    /opt/retropie/supplementary/EmulationStation/emulationstation: error while loading shared libraries: libgomp.so.1: cannot open shared object file: No such file or directory

    I think this may have been caused by running an apt-get upgrade?

    Anyone know how to fix this?

    #82426

    deaftolight
    Participant

    I’ve tried recompoiling emulationstation from source, but I get this error during compiling:

    /usr/bin/ld: warning: libgomp.so.1, needed by /usr/lib/gcc/arm-linux-gnueabihf/4.7/../../../libfreeimage.so, not found (try using -rpath or -rpath-link)

    #82431

    sselph
    Participant

    Does sudo apt-get install libgomp1=4.7.2-5+rpi1 help?

    That is the version I have on my recently installed 2.3 build.

    Auto-scraper: https://github.com/sselph/scraper

Viewing 3 posts - 1 through 3 (of 3 total)

Forums are currently read only - please visit the new RetroPie forums at https://retropie.org.uk/forums/